- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Lists NetworkMonitoringProviders for a given project and location.
HTTP request
GET https://networkmanagement.googleapis.com/v1/{parent=projects/*/locations/*}/networkMonitoringProviders
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. Parent value for ListNetworkMonitoringProvidersRequest. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of monitoring points to return. The service may return fewer than this value. If unspecified, at most 20 monitoring points will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Message for response to listing NetworkMonitoringProviders
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"networkMonitoringProviders": [
{
object ( |
| Fields | |
|---|---|
networkMonitoringProviders[] |
The list of NetworkMonitoringProvider |
nextPageToken |
A token identifying a page of results the server should return. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.